<script>
function fillEmpty(){document.getElementById('qmap').src = 'https://www.google.com/maps/d/embed?mid=1MIo_qabRbOx3GM2_LqOEhzfzsD-zj_Kj';}
window.onload = fillEmpty;
</script>
<style>/*input.dir-button{font-size:15px;border:1px solid #4F6A78;color:#f5f6f7;border-radius:5px;background:#1389CC;padding:8px 14px;}*/span.references{font-weight:bold;display:block;font-size:12px;font-family:sans-serif;color:#666;margin:0px;padding:5px 10px;}</style>
<span class="references">References: <a href="http://www.kemenpar.go.id/" target="_blank" title="Ministry of Tourism of the Republic of Indonesia">Ministry of Tourism of Indonesia</a> &amp; related legally to <a href="https://www.google.com/maps" target="_blank">Google Maps</a></span>
<input style="border:1px solid #dedede;border-radius:4px;margin:0px;font-size:15px;color:#777;padding:8px 14px;margin-bottom:6px;width:100%;" type="text" placeholder="Type a place here ..." id="mbuh" name="mbuh" value="" onChange="toggle(this)" />
<iframe id="qmap" height='494' src='' title='Best Tourist Attraction in Indonesia' width='825' frameborder="0" allowfullscreen></iframe>
<script>
function toggle(element) {
var places_name = document.querySelector("#mbuh").value;
var map_link = 'https://www.google.com/maps?q=' + places_name + '&output=embed';
    if (element.value !==  '') {
        document.getElementById('qmap').src = map_link;
    }
}
</script>
<!-- NON AKTIFKAN DULU DEH, KARENA GAK PENTING2 AMAT
<div class="directions">
    <form action="http://maps.google.com/maps" method="get" target="_blank">
       <label for="saddr" class="dir-label">Enter Your Location for Directions</label>
       <input style="border:1px solid #dedede;border-radius:4px;margin:0px;font-size:15px;color:#777;padding:8px 14px;margin-bottom:6px;width:90%;" type="text" name="saddr" class="dir-input"/>
       <input type="hidden" name="daddr" value="Indonesia" />
       <input type="submit" value="Get directions" class="dir-button button" />
    </form>
</div>
-->